Bug 1010467 - Upgrade hibernate to 4.2.6.Final
Upgrade hibernate to 4.2.6.Final
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.2.0
Assigned To: Brett Meyer
Zbyněk Roubalík
Russell Dickenson
:
Depends On: 996767 1003468 1009477 1009498 1009824
Blocks: 1003600 1012131
  Show dependency treegraph
 
Reported: 2013-09-20 16:28 EDT by Tomaz Cerar
Modified: 2015-09-01 00:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:08 EST
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomaz Cerar 2013-09-20 16:28:38 EDT
Memory leak fixed as part of https://hibernate.atlassian.net/browse/HHH-8363
and released in hibernate 4.3.0.Beta4
needs to be back ported to hibernate 4.2 and included in EAP6.2
Comment 1 Brett Meyer 2013-09-23 23:05:39 EDT
HHH-8363 was backported to 4.2.x upstream.  4.2.6.Final will currently include 18 bug fixes, all (with the exception of HHH-8363) minor and backward compatable.

https://hibernate.atlassian.net/issues/?jql=project%20%3D%20HHH%20AND%20fixVersion%20%3D%20%224.2.6%22%20ORDER%20BY%20updated%20DESC%2C%20priority%20DESC%2C%20created%20ASC
Comment 2 Brett Meyer 2013-09-25 11:34:17 EDT
I'll cut 4.2.6.Final this afternoon.
Comment 3 Brett Meyer 2013-09-25 11:51:37 EDT
Adding other BZs that I had originally deferred to 6.3.0 (all minor bug fixes) that will be included in 4.2.6.Final.
Comment 9 Martin Simka 2013-11-20 04:20:01 EST
verified on EAP 6.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.